< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package box
  Definition Classes
    ct
-  package computations
  Definition Classes
    ct
-  package ct600
  Definition Classes
    ct
-  package ct600a
  Definition Classes
    ct
-  package ct600e
  Definition Classes
    ct
-  package ct600j
  Definition Classes
    ct
-  package domain
  Definition Classes
    ct
-  package utils
  Definition Classes
    ct
-  package validation
  Definition Classes
    ct
-  package version
  Definition Classes
    ct
- AbbreviatedAccountsFiling
- AbridgedFiling
- CATO01
- CATO02
- CATO03
- CATO04
- CATO10
- CATO11
- CATO12
- CATO13
- CATO14
- CATO15
- CATO16
- CATO19
- CATO20
- CATO21
- CATO22
- CATO23
- CATO24
- CoHoAccountsApprovalRequired
- CompaniesHouseFiling
- CompaniesHouseSubmitted
- CountryOfRegistration
- FilingCompanyType
- HMRCAmendment
- HMRCFiling
- HMRCSubmitted
- HmrcAccountsApprovalRequired
- HmrcAccountsApprovalRequiredCalculator
- MicroEntityFiling
- RoundingFunctions
- StatutoryAccountsFiling
- UTR

o

uk.gov.hmrc.ct

# CATO04 

###
Companion class CATO04

#### object CATO04 extends Calculated[CATO04, CT600BoxRetriever] with MarginalRateReliefCalculator with Serializable

Linear Supertypes
Serializable, Serializable, MarginalRateReliefCalculator, NumberRounding, CtTypeConverters, Calculated[CATO04, CT600BoxRetriever], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CATO04
2. Serializable
3. Serializable
4. MarginalRateReliefCalculator
5. NumberRounding
6. CtTypeConverters
7. Calculated
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(boxRetriever: CT600BoxRetriever): CATO04
   Definition Classes
     CATO04 → Calculated
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  def computeMarginalRateRelief(b37: B37, b44: B44, b54: B54, b38: B38, b39: B39, accountingPeriod: HmrcAccountingPeriod): CATO04
   Definition Classes
     MarginalRateReliefCalculator
8.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
   Definition Classes
     CtTypeConverters
9.  implicit def convert(catoInt: CtOptionalInteger): Int
   Definition Classes
     CtTypeConverters
10.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
12.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def roundedToInt(value: BigDecimal): Int
    Definition Classes
      NumberRounding
23.  def roundedToIntHalfDown(value: BigDecimal): Int
    Definition Classes
      NumberRounding
24.  def roundedToIntHalfUp(value: BigDecimal): Int
    Definition Classes
      NumberRounding
25.  def roundedTwoDecimalPlaces(value: BigDecimal): BigDecimal
    Definition Classes
      NumberRounding
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from MarginalRateReliefCalculator

### Inherited from NumberRounding

### Inherited from CtTypeConverters

### Inherited from Calculated[CATO04, CT600BoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped